ZWrtText Class Reference documentation

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
ZWrtText Class Reference

the main class to read the text part of ZWrite Text file More...

`#include <ZWrtText.hxx>`

## Public Member Functions
| ZWrtText (ZWrtParser &parser)
| constructor More...
virtual | ~ZWrtText ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Types
enum | TextCode { None, Center, BookMark, NewPage, Tag, Link }
| the list of code in the text More...

## Protected Member Functions
bool | createZones ()
| finds the different text zones More...
bool | sendMainText ()
| send a main zone More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
void | computePositions ()
| compute the positions More...
bool | sendText (ZWrtTextInternal::Section const &zone, MWAWEntry const &entry)
| try to send a section More...
bool | sendText (int sectionId, MWAWEntry const &entry)
| try to send a section using an id More...
TextCode | isTextCode (MWAWInputStreamPtr &input, long endPos, MWAWEntry &dPos) const
| check if a character after '<' corresponds to a text code More...
bool | readHFZone (MWAWEntry const &entry)
| read the header/footer zone More...
bool | hasHeaderFooter (bool header) const
| returns true if there is a header/footer More...
bool | sendHeaderFooter (bool header)
| try to send the header/footer More...
bool | readStyles (MWAWEntry const &entry)
| read the styles More...
bool | readSectionFonts (MWAWEntry const &entry)
| read a section fonts More...

## Protected Attributes
MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< ZWrtTextInternal::State > | m_state
| the state More...
ZWrtParser * | m_mainParser
| the main parser; More...

## Private Member Functions
| ZWrtText (ZWrtText const &orig)
ZWrtText & | operator= (ZWrtText const &orig)

## Friends
class | ZWrtParser
class | ZWrtTextInternal::SubDocument

## Detailed Description

the main class to read the text part of ZWrite Text file

## Member Enumeration Documentation

## § TextCode

enum ZWrtText::TextCode
| protected

the list of code in the text

Enumerator
None |
Center |
BookMark |
NewPage |
Tag |
Link |

## Constructor & Destructor Documentation

## § ZWrtText() [1/2]

ZWrtText::ZWrtText | ( | ZWrtParser & | parser | ) |
| explicit

constructor

## § ~ZWrtText()

ZWrtText::~ZWrtText | ( |  | ) |
| virtual

destructor

## § ZWrtText() [2/2]

ZWrtText::ZWrtText | ( | ZWrtText const & | orig | ) |
| private

## Member Function Documentation

## § computePositions()

void ZWrtText::computePositions | ( |  | ) |
| protected

compute the positions

Referenced by createZones(), and numPages().

## § createZones()

bool ZWrtText::createZones | ( |  | ) |
| protected

finds the different text zones

## § flushExtra()

void ZWrtText::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

## § hasHeaderFooter()

bool ZWrtText::hasHeaderFooter | ( | bool | header | ) | const
| protected

returns true if there is a header/footer

## § isTextCode()

ZWrtText::TextCode ZWrtText::isTextCode | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | MWAWEntry & | dPos
| ) |  | const
| protected

check if a character after '<' corresponds to a text code

Referenced by createZones(), and sendText().

## § numPages()

int ZWrtText::numPages | ( |  | ) | const

returns the number of pages

## § operator=()

ZWrtText& ZWrtText::operator= | ( | ZWrtText const & | orig | ) |
| private

## § readHFZone()

bool ZWrtText::readHFZone | ( | MWAWEntry const & | entry | ) |
| protected

read the header/footer zone

Referenced by createZones().

## § readSectionFonts()

bool ZWrtText::readSectionFonts | ( | MWAWEntry const & | entry | ) |
| protected

read a section fonts

Referenced by createZones().

## § readStyles()

bool ZWrtText::readStyles | ( | MWAWEntry const & | entry | ) |
| protected

read the styles

Referenced by createZones().

## § sendHeaderFooter()

bool ZWrtText::sendHeaderFooter | ( | bool | header | ) |
| protected

try to send the header/footer

## § sendMainText()

bool ZWrtText::sendMainText | ( |  | ) |
| protected

send a main zone

## § sendText() [1/2]

bool ZWrtText::sendText | ( | ZWrtTextInternal::Section const & | zone,
|  | MWAWEntry const & | entry
| ) |  |
| protected

try to send a section

Referenced by sendMainText(), and sendText().

## § sendText() [2/2]

bool ZWrtText::sendText | ( | int | sectionId,
|  | MWAWEntry const & | entry
| ) |  |
| protected

try to send a section using an id

## § version()

int ZWrtText::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

## § ZWrtParser

friend class ZWrtParser
| friend

## § ZWrtTextInternal::SubDocument

friend class ZWrtTextInternal::SubDocument
| friend

## Member Data Documentation

## § m_mainParser

ZWrtParser* ZWrtText::m_mainParser
| protected

the main parser;

Referenced by computePositions(), createZones(), readHFZone(), readSectionFonts(), readStyles(), sendHeaderFooter(), and sendText().

## § m_parserState

MWAWParserStatePtr ZWrtText::m_parserState
| protected

the parser state

Referenced by readHFZone(), readSectionFonts(), sendHeaderFooter(), sendMainText(), sendText(), and version().

## § m_state

shared_ptr<ZWrtTextInternal::State> ZWrtText::m_state
| protected

the state

Referenced by computePositions(), createZones(), hasHeaderFooter(), numPages(), readHFZone(), readSectionFonts(), sendHeaderFooter(), sendMainText(), sendText(), and version().

The documentation for this class was generated from the following files:

- ZWrtText.hxx
- ZWrtText.cxx